%define prefix /usr
%define name deadbeef-filebrowser
%define version 20131110
%define release %mkrel 2
%define url http://sourceforge.net/projects/deadbeef-fb/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		%{url}
Source0:	deadbeef-fb-code.tar.xz	
Summary:	filebrowser plugin for the deadbeef 	
Summary(de):	Dateibrowser Plugin für deadbeef 
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	deadbeef-devel 
BuildRequires:  %{_lib}gtk+2.0_0-devel >= 2.12
BuildRequires:	%{_lib}glib2.0_0-devel
BuildRequires:	%{_lib}gtk+3.0-devel
Requires:	deadbeef
Obsoletes:	%name < %{version}

%description
A filebrowser plugin for the DeaDBeeF audio player (http://deadbeef.sf.net). 
Placed in a sidebar inside the main user interface, it supports adding files 
to playlists by context menu or drag and drop. Also uses coverart images as 
folder icons.

#german
%description -l de
Ein Dateibrowser-Plugin für den DEADBEEF Audio-Player (http://deadbeef.sf.net). 
Untergebracht als Sidebar in der Haupt-Benutzeroberfläche, unterstützt es das 
Hinzufügen von Dateien in Wiedergabelisten aus dem Kontextmenü oder per Drag 
& Drop. Ausserdem verwendet es Coverart Bilder als Ordnersymbole.

%prep

%setup -q -n deadbeef-fb-code

%build 
./autogen.sh
%configure2_5x --enable-gtk3 \
	       --disable-static

%make

%install

rm -rf $RPM_BUILD_ROOT

%makeinstall_std

rm -rf %{buildroot}/%{_libdir}/deadbeef/*.la

%files
%defattr(-,root,root)
%_docdir/deadbeef-fb/*
%{_libdir}/deadbeef/

%clean
rm -rf %{buildroot}

%changelog
* Tue Dec 03 2013 daniel <meisssw01 at gmail.com> 20131110-2free2013
- add missing build requires (get hint from ghostbunny)

* Sat Nov 09 2013 daniel <meisssw01 at gmail.com> 20131110-1free2013
- update

* Thu Oct 04 2012 Neal <nealbrks0 at gmail dot com> 20120827-1pclos2012
- process

* Tue Oct 02 2012 daniel <meisssw01 at gmail.com> 20120827-1leiche2012
- initial package
